
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>莫名其秒的synchronized / iVAN</title>

    <meta name="description" content="莫名其秒的synchronized 问题描述 下面这段代码的方法前加了个同步,有必要吗?查了一下原来的书籍,也有在前面加同步的, 我认为这实在是多此一举,根本不需要的,大家快来谈谈 public class Conn { public static synchronized Connection get() throws Exception { Context ctx = new InitialContext(); Context envctx = (Context) ctx.lookup(&quot;java:comp/env& ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">莫名其秒的synchronized</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>问题描述</h2>
<p>下面这段代码的方法前加了个同步，有必要吗？查了一下原来的书籍，也有在前面加同步的， 我认为这实在是多此一举，根本不需要的，大家快来谈谈 public class Conn {  public static synchronized Connection get() throws Exception {  Context ctx = new InitialContext();  Context envctx = (Context) ctx.lookup("java:comp/env");  DataSource ds = (DataSource) envctx.lookup("jdbc/TestDB");  return ds.getConnection();  } }<br />
<h2>解决方案</h2>
<p>你那样用当然是多余的，全部是局部变量。但是我们一般都不会那样用，频繁查找jndi会极大的降低效率。我们一般可能会如下使用：    private static Context ctx;    private static Context envctx;    private static DataSource ds;    public static synchronized Connection get() throws Exception {        if (envctx == null) {            ctx = new InitialContext();        }        if (envctx == null) {            envctx = (Context) ctx.lookup("java:comp/env");        }        if (ds == null) {            ds = (DataSource) envctx.lookup("jdbc/TestDB");        }        return ds.getConnection();    }这时候就有必要了，因为有了共享变量。<br />解决方案二：<br />完全多余，方法中没有对任何共享变量进行操作，没有任何同步的必要<br />解决方案三：<br />同步应该是相对于共享变量来讲的, 这里一个共享的都没有, 我觉得完全是多余的!而且这样还会降低程序的运行效率.<br />解决方案四：<br />我觉得楼主使用JNDI方式访问的对象应该是数据池之类的，比如Sun Application Server中的数据池。Sun Application Server的数据池应该是会做许多线程安全方面的控制，所以synchronized有些些多余。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:12:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/tomcat/" title="tomcat">tomcat</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>莫名其秒的synchronized的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNno5yM.html" rel="bookmark">有关线程的莫名其秒问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 写东西的时候碰到这种情况:有两个线程类,ThreadA,ThreadB,现在运行ThreadA输出A,运行ThreadB输出B.但是我现在在另一个类Test里写这样的东西为什么输出的就不是A,B了?public class{ public static void main(String[]args){ ThreadA a = new ThreadA(); Thread ta = new Thread(a); ta.start(); ThreadB b = new ThreadB();			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqPOeb.html" rel="bookmark">终于体会到了，在&period;net开发不用C&num;那纯粹是自找麻烦阿</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  我是个Delphi fans,自从试了一下Delphi8,第二天就删掉了,bug太多,没法用,只好不太情愿地使用着C#,Delphi2005出来了,就又装了一个试用版用了一下,感觉不错,有点欣喜若狂,就准备使用起来,但是随着程序规模的不断扩大,越来越多地发现了至少是令人不爽的地方: 1.占用内存太多,一般来讲写一会程序就要用掉400M,更可怕的是每调试一次,内存就会增加好多,调试完了还不给我释放 2.不稳定,尤其是在界面设计上,经常把我关联的事件从控件上删掉,要么就是莫名其妙的一些错误提示,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgV7KOb.html" rel="bookmark">起底多线程同步锁&lpar;iOS&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iOS/MacOS为多线程.共享内存(变量)提供了多种的同步解决方案(即同步锁),对于这些方案的比较,大都讨论了锁的用法以及锁操作的开销,然后就开销表现排个序.小哥以为,最优方案的选用还是看应用场景,高频接口PK低频接口.有限冲突PK激烈竞争.代码片段耗时的长短,以上都是正确选用的重要依据,不同方案在其适用范围表现各有不同.这些方案当中,除了熟悉的iOS/MacOS系统自有的同步锁,另外还有两个自研的读写锁,还有应用开发中常见的set/get访问接口的原子操作属性. 1.@synchronize			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1Xadb.html" rel="bookmark">Android中实时获取音量分贝值详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基础知识 度量声音强度,大家最熟悉的单位就是分贝(decibel,缩写为dB).这是一个无纲量的相对单位,计算公式如下: 分子是测量值的声压,分母是参考值的声压(20微帕,人类所能听到的最小声压).因此日常中说道声音强度是多少多少分贝时,都是默认了一个很小的参考值的. 而Android设备传感器可以提供的物理量是场的幅值(amplitude),常用下列公式计算分贝值: 从SDK中读取了某段音频数据的振幅后,取最大振幅或平均振幅(可以用平方和平均,或绝对值的和平均),代入上述公式的A1. 现在问题			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk7LBEp.html" rel="bookmark">记者揭秘电话费诈骗背后回拨电话被扣高额话费</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中广网北京7月3日消息(记者桂园 山东台记者曹进)据中国之声&lt;新闻晚高峰&gt;报道,相信很多听众在日常生活中都接到过这种莫名其妙的电话:手机忽然响起却又立即挂断.如果回拨电话,要不就是接入录音电话,要不就是被挂断,在不知不觉中你得电话费就已经瞬间被疯狂吸走了.这一声呼叫的背后究竟有着怎样的幕后黑手? 电话费不知不觉被吸走 济南市民王先生在一家企业打工, 每月1500多块钱的工资,着实让他有些吃不消.于是,王先生就琢磨着利用空闲时间兼职搞点小项目,没想到还真让他找到了一个&quot;好项目&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYwK7Vz.html" rel="bookmark">centos中shell定时检测mysqld&comma;nginx&comma;httpd服务脚本</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前几天发现网站打不开,提示数据库连接错误,我登录linux 发现mysqld服务不知道什么时候停止了.幸好我即使发现. 于是决定写一个shell脚本每分钟自动检测mysqld服务,如果发现服务没起来就自动启动mysqld服务 也就是:通过cron定时任务执行检测脚本 编写检测脚本 /root/bin/check  代码如下 复制代码 #!/bin/bash   check=`pgrep mysql`   if [ -n &quot;$check&quot; ]; then         exit els			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEELP9b.html" rel="bookmark">Android中实时获取音量分贝值详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基础知识 度量声音强度,大家最熟悉的单位就是分贝(decibel,缩写为dB).这是一个无纲量的相对单位,计算公式如下: 分子是测量值的声压,分母是参考值的声压(20微帕,人类所能听到的最小声压).因此日常中说道声音强度是多少多少分贝时,都是默认了一个很小的参考值的. 而Android设备传感器可以提供的物理量是场的幅值(amplitude),常用下列公式计算分贝值: 从SDK中读取了某段音频数据的振幅后,取最大振幅或平均振幅(可以用平方和平均,或绝对值的和平均),代入上述公式的A1. 现在问题			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0yg5z.html" rel="bookmark">Chrome打开页面上方莫名被遮挡与打开几秒后自动关闭解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Google Chrome是小编现在主要使用的浏览器,不过昨天遇到了一个奇怪的显示错误,大部分页面上方被一块三角装的图层挡住了.经过一番努力,倒也发现了问题所在并成功解决.随着Chrome用户增多,这个问题相信不会是个案,故决定把排查问题及解决过程分享给各位.如果你也是Chrome用户并且同样遭遇这个问题,下面的内容会帮到你. 先来看下具体症状吧,用Chrome打开页面后,会出现一个三角形遮挡住页面上方:如下图. 页面上出现离奇遮挡物 昨天一早打开页面看到这个遮挡的时候还以为是广告效果,但是等了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZmnkp.html" rel="bookmark">Java中的ReentrantLock和synchronized两种锁机制的对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://www.ibm.com/developerworks/cn/java/j-jtp10264/index.html 多线程和并发性并不是什么新内容,但是 Java 语言设计中的创新之一就是,它是第一个直接把跨平台线程模型和正规的内存模型集成到语言中的主流语言.核心类库包含一个 Thread 类,可以用它来构建.启动和操纵线程,Java 语言包括了跨线程传达并发性约束的构造 -- synchronized 和 volatile.在简化与平台无关的并发类的开发的同时,它决没有使并发			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgPj1p.html" rel="bookmark" class="title">PHP二维数组排序的函数分享</a>
					<div>
						二维数组在PHP开发中经常遇到,但是他的排序就不如一维数组那样用内置函数来的方便了,二维数组的排序需要我们自己写函数处理了,这里UncleToo给大家分享一个PHP二维数组排序的函数:    代码:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRXnqz.html" rel="bookmark" class="title">Photoshop给草原人物图片加上漂亮的晨曦逆光</a>
					<div>
						素材图片并不是逆光,处理的时候先把主色转为暖色:天空部分增加晨曦霞光,并给地平线区域增加暖色高光,渲染出光源:然后把人物单独抠出,整体调暗,受光区域增加暖色即可. 原图 最终效果 [1] [2] [3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEdjJz.html" rel="bookmark" class="title">趣用文化元素</a>
					<div>
						一扯上文化二字,总觉虚无缥缈.漫无边际,或者老气横秋,如何有趣地利用中华文化的思想和符号,结合现代的元素,使其成为有意思的传播手法,这个问题的思考过程形成了一套腾讯桌面产品的宣传广告及此文. 这段时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeePxz.html" rel="bookmark" class="title">一个高排名的网站需要经历的几件大事</a>
					<div>
						从新站到拥有高排名的牛站,需要一个过程,这个过程是漫长的,但是结果却是喜人的,任何一个事情都是由于希望的存在而产生动力,对于一个草根站长来说网站拥有了较高的排名就会拥有较高的人气,拥有了较高的人气就拥 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balvlQz.html" rel="bookmark" class="title">BCB6命令行工具简介</a>
					<div>
						BCB6有很多命令行工具. 下面简要的作一个介绍: BCC32.EXE C++32位编译程序 BPR2MAK.EXE 转换XML文件格式为MAKE文件格式 BRC32.EXE 32位资源编辑程序 BR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjV4kp.html" rel="bookmark" class="title">使用DNSCrypt 解决DNS攻击问题</a>
					<div>
						  尽管大型网站经常受到攻击,并且在超负荷的负载下,这些公司和网络仍然要竭尽所能地去转移这些攻击,而且是最最重要是要保持他们的网站能够正常地浏览.即便你管理的是一个小站点,比如小公司或者小型网站这种规 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOweG8z.html" rel="bookmark" class="title">如何在ppt中插入flash动画</a>
					<div>
						Office 2007新的用户界面让我们耳目一新,从此我们拥有了一个简洁而整齐的工作区.不过,全新的界面改变也让许多老用户不知所措,许多惯用的操作都不知该如何执行了,今天我们讲的就是如何在PowerP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kKQKz.html" rel="bookmark" class="title">Win8&period;1系统Update无法启动如何解决？</a>
					<div>
						Win8.1系统Update无法启动如何解决?          是否需要重装系统吗?不,这时可以使用Win8.1安装镜像+应急命令来修复,例如最经典的sfc /scannow命令. 解决方法: 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwBmqz.html" rel="bookmark" class="title">人生日历新功能，DIY个性桌面日历</a>
					<div>
						办公室的童鞋们,每天对着电脑,缺乏乐趣?生活中的乐趣常常要自己寻找,每一点细节的变化,都能带来不一样的感觉,是时候给自己的电脑换个有趣的桌面日历了!DIY,没错桌面日历实现DIY了,完全可以由你做主! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oWwAb.html" rel="bookmark" class="title">如何下载文件至彩云？</a>
					<div>
						  支持两种方式下载: ① 拖曳下载:选中云端文件后,拖曳至本地电脑. ② 复制/粘贴:复制选中的云端文件,粘贴在本地目标保存路径.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYE2Lb.html" rel="bookmark" class="title">windows系统怎么设置资源管理器中打开文件夹在同一窗口中打开</a>
					<div>
						首先打开&quot;我的电脑&quot;,或者任意一个文件夹,在窗口的上面鼠标点击&quot;工具&quot;--&quot;文件夹选项&quot;,弹出对话框. 在弹出的&quot;文件夹选项&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7rqez.html" rel="bookmark" class="title">asp封闭成dll文件</a>
					<div>
						ASP 文件做成DLL文件 当创建或使用复杂的ASP Web应用你一定会碰到一个需要使用的DLL .该DLL通常包括代码,汇编在VB , C + +中,或者其他Windows编程语言,用于ASP应用程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrr9WM.html" rel="bookmark" class="title">大家帮帮忙  C&num; windows程序设计  学生管理系统  涉及界面窗口菜单设计、数据库</a>
					<div>
						问题描述 这是大一下C#的期末作业,感觉好难,不会,大神们帮帮忙.(附:本人QQ:1747960716)下面是基本要求:系统基本要求1.系统可通过菜单操作进行退出,通过左侧菜单,点击主菜单后显示子菜单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N987z.html" rel="bookmark" class="title">PHP中Trait特性</a>
					<div>
						Trait是自 PHP 5.4.0 起添加的一个新特性,是 PHP 多重继承的一种解决方案.例如,需要同时继承两个 Abstract Class, 这将会是件很麻烦的事情,Trait 就是为了解决这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YQlRM.html" rel="bookmark" class="title">关于3B大战那点事儿</a>
					<div>
						背景:360于8月15日推出综合搜索,21日360将其安全浏览器地址栏,搜索栏和主页搜索框的缺省网页搜索由谷歌改为自身的综合搜索.依托浏览器的引导,360搜索一推出,就迅速超过谷歌和搜狗,成为第二大搜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPok8p.html" rel="bookmark" class="title">Memcache&comma;Redis&comma;MongoDB（数据缓存系统）方案对比与分析</a>
					<div>
						一.问题:           数据库表数据量极大(千万条),要求让服务器更加快速地响应用户的需求. 二.解决方案:      1.通过高速服务器Cache缓存数据库数据      2.内存数据库   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKVJBb.html" rel="bookmark" class="title">这个僵尸网络自2014年起已经感染了近百万台设备</a>
					<div>
						据外媒报道,网络犯罪分子最常用的牟利方式之一就是利用像Google AdSense这样的广告平台,他们通过某种方式让这些平台相信其发送出去的流量是通过合法途径得到的,之后这些广告平台就会把它推荐给用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqNrQz.html" rel="bookmark" class="title">继电器-关于C&num; 调用 C&plus;&plus; 的DLL 的问题&excl;  5 分！</a>
					<div>
						问题描述 关于C# 调用 C++ 的DLL 的问题! 5 分! C++ 代码: 构造体: enum usb_relay_device_type { USB_RELAY_DEVICE_ONE_CHANN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA282p.html" rel="bookmark" class="title">struts&comma;ognl&comma;valuestack</a>
					<div>
						浅析struts2中的OGNL和 ValueStack    要了解Struts2与OGNL表达式的关系,我们必须先搞清楚以下三个概念: (1)ActionContext  它是Action运行的上下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeknob.html" rel="bookmark" class="title">php中对2个数组相加的函数&lowbar;php基础</a>
					<div>
						复制代码 代码如下: &lt;?php function array_add($a,$b){ //根据键名获取两个数组的交集 $arr=array_intersect_key($a, $b); //遍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB0O8M.html" rel="bookmark" class="title">文件系统函数库：is&lowbar;executable</a>
					<div>
						is_executable (PHP3 , PHP4) is_executable ---&amp;http://www.aliyun.com/zixun/aggregation/37954.html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZAWkp.html" rel="bookmark" class="title">java执行shell命令-Java执行shell命令问题</a>
					<div>
						问题描述 Java执行shell命令问题 我在java代码中执行shell命令改变Android目录下的文件123.sh的权限, 使用Runtime.getRuntime().exec(&quot;c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e0lLb.html" rel="bookmark" class="title">简析Android多种AlertDialog对话框效果&lowbar;Android</a>
					<div>
						android提供了四类常用的对话框,本文分享具体实现方法: 1.AlertDialog,功能最丰富,实际运用最广泛 2.progressDialog,进度条对话框 3.DatePickerDialo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnPQ6M.html" rel="bookmark" class="title">大量使用RequestContextUtils&period;getWebApplicationContext&lpar;request&rpar;报错</a>
					<div>
						问题描述 在使用RequestContextUtils.getWebApplicationContext(request)访问量大时,会报NoWebApplicationContextfound:no ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNZjqM.html" rel="bookmark" class="title">hibernate unique  唯一值约束不起作用 困惑</a>
					<div>
						问题描述 我 表里面的 rolename字段 我希望 保持唯一值.如果重复就报 不报唯一值约束的错误 .可现在不管我 把 unique=true 和 unique=false 都不起作用. @Colu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodgXgM.html" rel="bookmark" class="title">网页无法正常保存</a>
					<div>
						问题描述 想在ie下将自己写的asp.net页面保存下来,但提示&quot;此网页可能无法正确保存&quot;,强行保存为mht格式,打开后除了菜单的位置不正确之外一切正常,菜单从背景中间跑到了背景底 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo19VM.html" rel="bookmark" class="title">html-请问这是什么软件？可以分析HTML</a>
					<div>
						问题描述 请问这是什么软件?可以分析HTML 可以分析HTML代码 这个软件叫什么 解决方案 chrome,右键inspect element 解决方案二: 另外,firefox有fire bug,I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE5q3M.html" rel="bookmark" class="title">丁建中：我和刘谦没法比自认上春晚压力很大</a>
					<div>
						丁建中 本报讯 (记者 莫斯其格/文 黄澄锋/摄) 央视春晚连续三年邀请台湾魔术师上台表演,前两年是刘谦,而今年则由丁建中取而代之.不过春晚结束后,很多人认为丁建中的表演没有达到预期效果.前日,丁建中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWvdJz.html" rel="bookmark" class="title">IOS开发代码分享之用nstimer实现倒计时功能&lowbar;IOS</a>
					<div>
						用nstimer实现倒计时功能,废话不多说,直接上代码,详细解释请参照注释 // [NSTimer scheduledTimerWithTimeInterval:1.0 target:self sel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKNGLM.html" rel="bookmark" class="title">Android自带倒计时控件Chronometer使用方法详解&lowbar;Android</a>
					<div>
						公司的以前的项目,看到使用了这个Android自带的倒计时控件Chronometer,现在整合了一下 先看看效果: &lt;Chronometer android:id=&quot;@+id/chro ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
